%define major 7
%define gtk3 1
%{?_without_gtk3: %global gtk3 0}
%{?_with_gtk3: %global gtk3 1}

%define gtk2 1
%{?_without_gtk3: %global gtk2 0}
%{?_with_gtk3: %global gtk2 1}

%if %gtk3
%define libgtktool %mklibname indicator3
%define libname %mklibname indicator3_ %{major}
%define develname %mklibname indicator3 -d
%endif

%if %gtk2
%define libgtk2tool %mklibname indicator
%define libgtk2name %mklibname indicator_ %{major}
%define libgtk2devel %mklibname indicator -d
%endif

Name:           libindicator
Summary:     A set of symbols and convenience functions for indicators
Group:          System/Libraries
Version:        12.10.1
Release:        %mkrel 6
License:         GPLv3
URL:               http://launchpad.net/libindicator
Source0:        http://launchpad.net/libindicator/12.10/%{version}/+download/%{name}-%{version}.tar.gz
%if %gtk3
BuildRequires:  pkgconfig(gtk+-3.0)
%endif
%if %gtk2
BuildRequires:  pkgconfig(gtk+-2.0)
%endif

%description
A set of symbols and convenience functions that all indicators would like
to use. Not of real use outside of the Ayatana indicators project.

%if %gtk3
#--------------------------------------------------------------------
%package -n %{libname}
Summary:        libindicator gtk3 library
Group:          System/Libraries

%description -n %{libname}
Library for libindicator3. gtk+3 version

%files -n %{libname}
%{_libdir}/libindicator3.so.%{major}{,.*}

#--------------------------------------------------------------------
%package -n %{libgtktool}-tools
Summary:        libindicator3 gtk3 tool
Group:           System/Libraries

%description -n %{libgtktool}-tools
Tool to load libindicator3 plugins. gtk+3 version

%files -n %{libgtktool}-tools
%{_libexecdir}/indicator-loader3
 
#--------------------------------------------------------------------
%package -n %{develname}
Summary:     libindicator3 gtk3 development files
Group:          Development/GNOME and GTK+
Requires:      %{libname} >= %{version}

%description -n %{develname}
Development files needed by libindicator3.

%files -n %{develname}
%doc build-gtk3/AUTHORS build-gtk3/ChangeLog
%{_includedir}/libindicator3-0.4/libindicator/
%{_libdir}/libindicator3.so
%{_libdir}/pkgconfig/indicator3-0.4.pc
%{_datadir}/libindicator/80indicator-debugging

#--------------------------------------------------------------------
%endif
%if %gtk2
%package -n %{libgtk2name}
Summary:        libindicator gtk2 library
Group:          System/Libraries

%description -n %{libgtk2name}
Library for libindicator. gtk+2 version.

%files -n %{libgtk2name}
%{_libdir}/libindicator.so.%{major}{,.*}

#--------------------------------------------------------------------
%package -n %{libgtk2tool}-tools
Summary:        libindicator gtk2 tool
Group:          System/Libraries

%description -n %{libgtk2tool}-tools
Tool to load libindicator plugins. gtk+2 version.

%files -n %{libgtk2tool}-tools
%{_libexecdir}/indicator-loader
   
#--------------------------------------------------------------------
%package -n %{libgtk2devel}
Summary:     libindicator gtk2 development files
Group:          Development/GNOME and GTK+
Requires:      %{libgtk2name} >= %{version}

%description -n %{libgtk2devel}
Development files needed by libindicator.

%files -n %{libgtk2devel}
%doc build-gtk2/AUTHORS build-gtk2/ChangeLog
%dir %{_includedir}/libindicator-0.4/
%dir %{_includedir}/libindicator-0.4/libindicator/
%{_includedir}/libindicator-0.4/libindicator/*.h
%{_libdir}/libindicator.so
%{_libdir}/pkgconfig/indicator-0.4.pc

#--------------------------------------------------------------------
%endif
%prep
%autosetup -n indicator -c

%build
cp -a  %{name}-%{version} build-gtk3
mv -f %{name}-%{version} build-gtk2

%if %gtk2
#gtk2 building
pushd build-gtk2
export CFLAGS="%{optflags} -Wno-error=deprecated-declarations"
sed -i 's/LIBINDICATOR_LIBS+="$LIBM"/LIBINDICATOR_LIBS+=" $LIBM"/g' configure
%configure2_5x --with-gtk=2 --disable-static
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make
popd
%endif

%if %gtk3
#gtk3 building
pushd build-gtk3
export CFLAGS="%{optflags} -Wno-error=deprecated-declarations"
sed -i 's/LIBINDICATOR_LIBS+="$LIBM"/LIBINDICATOR_LIBS+=" $LIBM"/g' configure
%configure2_5x --with-gtk=3 --disable-static
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make
popd
%endif

%install
%if %gtk2
pushd build-gtk2
%make_install
popd
%endif

%if %gtk3
pushd build-gtk3
%make_install
popd
%endif

# Ubuntu and Fedora don't package the dummy indicator
rm -f %{buildroot}%{_libdir}/libdummy-indicator*.so

# Clean .la files
find %{buildroot}%{_libdir} -name '*.la' -delete -print


%changelog
* Mon Dec 14 2015 tarakbumba <tarakbumba> 12.10.1-6.mga6
+ Revision: 910549
- Enable gtk2 build

* Thu Nov 12 2015 tv <tv> 12.10.1-5.mga6
+ Revision: 902870
- fix build

* Wed Oct 15 2014 umeabot <umeabot> 12.10.1-4.mga5
+ Revision: 743782
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 12.10.1-3.mga5
+ Revision: 681536
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 12.10.1-2.mga4
+ Revision: 527585
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 dams <dams> 12.10.1-1.mga4
+ Revision: 441380
- Fix build
- new version 12.10.1

* Sun Jan 13 2013 luigiwalser <luigiwalser> 12.10.0-2.mga3
+ Revision: 361851
- fix for changed _libexecdir

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 09 2012 shlomif <shlomif> 12.10.0-1.mga3
+ Revision: 280132
- New version 12.10.0

* Fri Jun 15 2012 shlomif <shlomif> 0.5.0-1.mga3
+ Revision: 260863
- imported package libindicator


* Sun Mar 18 2012 Simple <simplew8@gmail.com> 0.5.0-1
- version 0.5.0

* Sun Mar 18 2012 Simple <simplew8@gmail.com> 0.4.93-1
- first package
